> ## Documentation Index
> Fetch the complete documentation index at: https://docs.engine.usesophic.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a fee charge

> Retrieve a fee charge by ID.



## OpenAPI

````yaml https://api.engine.usesophic.com/openapi.json get /fee-charges/{fee_charge_id}
openapi: 3.1.0
info:
  title: Sophic Engine API
  version: 0.1.0
servers:
  - url: https://api.engine.usesophic.com/
security: []
paths:
  /fee-charges/{fee_charge_id}:
    get:
      summary: Retrieve a fee charge
      description: Retrieve a fee charge by ID.
      operationId: get_fee_charge_fee_charges__fee_charge_id__get
      parameters:
        - name: fee_charge_id
          in: path
          required: true
          schema:
            type: string
            title: Fee Charge Id
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeeCharge'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - HTTPBearer: []
components:
  schemas:
    FeeCharge:
      properties:
        id:
          type: string
          title: Id
          description: Unique resource identifier.
        tax_rate:
          anyOf:
            - type: string
            - type: 'null'
          title: Tax Rate
        fee:
          $ref: '#/components/schemas/Fee'
        amount_fee:
          type: string
          title: Amount Fee
        amount_tax:
          type: string
          title: Amount Tax
        amount_total:
          type: string
          title: Amount Total
        refunded_amount:
          type: string
          title: Refunded Amount
        refundable_amount:
          type: string
          title: Refundable Amount
        is_fully_refunded:
          type: boolean
          title: Is Fully Refunded
        is_partially_refunded:
          type: boolean
          title: Is Partially Refunded
        currency:
          $ref: '#/components/schemas/Currency'
        period_start:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Period Start
        period_end:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Period End
        collected_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Collected At
        related_transaction:
          anyOf:
            - type: string
            - type: 'null'
          title: Related Transaction
        related_transaction_amount:
          anyOf:
            - type: string
            - type: 'null'
          title: Related Transaction Amount
        refunds:
          items:
            $ref: '#/components/schemas/Refund'
          type: array
          title: Refunds
        created_at:
          type: string
          format: date-time
          title: Created At
          description: >-
            The timestamp (in
            [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html)
            format) of when the resource was created.
        modified_at:
          type: string
          format: date-time
          title: Modified At
          description: >-
            The timestamp (in
            [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html)
            format) of when the resource was last modified.
      type: object
      required:
        - created_at
        - modified_at
        - id
        - tax_rate
        - fee
        - amount_fee
        - amount_tax
        - amount_total
        - refunded_amount
        - refundable_amount
        - is_fully_refunded
        - is_partially_refunded
        - currency
        - period_start
        - period_end
        - collected_at
        - related_transaction
        - related_transaction_amount
        - refunds
      title: FeeCharge
    Error:
      properties:
        detail:
          type: string
          title: Detail
          description: A human-readable description of the error.
        code:
          type: string
          title: Code
          description: A machine-readable error code.
        docs:
          title: Docs
          description: A URL to documentation about this error code.
          x-remove-null-from-type-union: true
          type: string
        context:
          title: Context
          description: An optional object for adding extra context to the error.
          x-remove-null-from-type-union: true
          additionalProperties:
            anyOf:
              - type: string
              - type: integer
          type: object
        params:
          title: Params
          description: An optional list of params that failed validation.
          x-remove-null-from-type-union: true
          items:
            $ref: '#/components/schemas/InvalidParam'
          type: array
      type: object
      required:
        - detail
        - code
      title: Error
    Fee:
      properties:
        id:
          type: string
          title: Id
          description: Unique resource identifier.
        name:
          type: string
          title: Name
        display_name:
          type: string
          title: Display Name
        alias:
          type: string
          title: Alias
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        tax_rate:
          anyOf:
            - type: string
            - type: 'null'
          title: Tax Rate
        fee_type:
          $ref: '#/components/schemas/FeeType'
        transaction_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Transaction Type
        chargeable_currencies:
          additionalProperties:
            $ref: '#/components/schemas/FeeChargeableCurrency'
          type: object
          title: Chargeable Currencies
        created_at:
          type: string
          format: date-time
          title: Created At
          description: >-
            The timestamp (in
            [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html)
            format) of when the resource was created.
        modified_at:
          type: string
          format: date-time
          title: Modified At
          description: >-
            The timestamp (in
            [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html)
            format) of when the resource was last modified.
      type: object
      required:
        - created_at
        - modified_at
        - id
        - name
        - display_name
        - alias
        - description
        - tax_rate
        - fee_type
        - transaction_type
        - chargeable_currencies
      title: Fee
    Currency:
      type: string
      enum:
        - EUR
        - USD
        - GBP
      title: Currency
      properties: {}
    Refund:
      properties:
        id:
          type: string
          title: Id
          description: Unique resource identifier.
        amount:
          type: string
          title: Amount
        currency:
          $ref: '#/components/schemas/Currency'
        fee_charge:
          type: string
          title: Fee Charge
        created_at:
          type: string
          format: date-time
          title: Created At
          description: >-
            The timestamp (in
            [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html)
            format) of when the resource was created.
        modified_at:
          type: string
          format: date-time
          title: Modified At
          description: >-
            The timestamp (in
            [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html)
            format) of when the resource was last modified.
      type: object
      required:
        - created_at
        - modified_at
        - id
        - amount
        - currency
        - fee_charge
        - fee_charge
      title: Refund
    InvalidParam:
      properties:
        path:
          items:
            anyOf:
              - type: integer
              - type: string
          type: array
          title: Path
          description: Path to the field name (or index if a list) that errored.
        detail:
          type: string
          title: Detail
          description: Human-readable detail for error.
        code:
          type: string
          title: Code
          description: A machine-readable error code.
      type: object
      required:
        - path
        - detail
        - code
      title: InvalidParam
    FeeType:
      type: string
      enum:
        - transaction
        - recurring
      title: FeeType
      properties: {}
    FeeChargeableCurrency:
      properties:
        unit_amount:
          type: string
          title: Unit Amount
      type: object
      required:
        - unit_amount
      title: FeeChargeableCurrency
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````